Loading...
Searching...
No Matches
ArrayColumnFunc.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/Tables/ArrayColumnBase.h>`
`#include <casacore/casa/Arrays/Slicer.h>`
`#include <casacore/casa/Arrays/ArrayBase.h>`

Go to the source code of this file.

## Classes

class | casacore::BaseSlicesFunctor
| More...
class | casacore::GetCellSlices
| Functor to get irregular array slices from a cell. More...
class | casacore::GetColumnSlices
| Functor to get irregular array slices from a column. More...
class | casacore::PutCellSlices
| Functor to put irregular array slices into a cell. More...
class | casacore::PutColumnSlices
| Functor to get irregular array slices from a column. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines